市场情报 API

深圳证券交易所 News API

专注于深圳企业和创新经济的中国证券交易所,包括股票、ETF、基金和债券。

API 参考 版本: 1.0.0 3 终端 身份验证
深圳证券交易所

基本网址

https://api.pressmonitor.com/news-xshe/v1

身份验证

所有请求使用 Bearer 令牌身份验证。每个调用都添加授权头。

Authorization: Bearer YOUR_TOKEN
GET /headlines

获取新闻头条

News Headlines

参数

名称 类型 位置 必填 描述
code string query 实体代码(如股票代码,行业代码)
lang_code string query 按语言代码过滤(ISO 639-1)
country_code string query 按国家代码过滤(ISO 3166-1 alpha-2)
count integer query 返回结果数量
cursor string query 分页游标(search_after的替代)

代码示例

curl --request GET \ --url 'https://api.pressmonitor.com/news-xshe/v1/headlines?code=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE'

响应

200 成功
GET /briefs

获取新闻简报

News Briefs

参数

名称 类型 位置 必填 描述
code string query 实体代码(如股票代码,行业代码)
lang_code string query 按语言代码过滤(ISO 639-1)
country_code string query 按国家代码过滤(ISO 3166-1 alpha-2)
count integer query 返回结果数量
cursor string query 分页游标(search_after的替代)

代码示例

curl --request GET \ --url 'https://api.pressmonitor.com/news-xshe/v1/briefs?code=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE'

响应

200 成功
GET /fulltext

获取全文新闻

News Fulltext

参数

名称 类型 位置 必填 描述
code string query 实体代码(如股票代码,行业代码)
lang_code string query 按语言代码过滤(ISO 639-1)
country_code string query 按国家代码过滤(ISO 3166-1 alpha-2)
count integer query 返回结果数量
cursor string query 分页游标(search_after的替代)

代码示例

curl --request GET \ --url 'https://api.pressmonitor.com/news-xshe/v1/fulltext?code=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE'

响应

200 成功